Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0008373AI War[All Projects] Balance IssueJun 2, 2012 9:18 amApr 9, 2013 4:19 pm
Reporterkeith.lamothe 
Assigned Tokeith.lamothe 
Severitymajor 
StatusresolvedResolutionfixed 
Product Version5.035 
Fixed in Version6.017 
Summary0008373: Somebody beat an honest game of 10/10
Descriptionhttp://www.arcengames.com/forums/index.php/topic,9869.msg106954.html#msg106954 [^]
TagsNo tags attached.
Internal WeightFix Before Major Release
Attached Files

- Relationships

-  Notes
(0025400)
TechSY730 (reporter)
Jun 2, 2012 10:26 am
edited on: Jun 2, 2012 10:26 am

Wait, you were serious when you said you consider 10/10 being beatable without excessive cheese a balance issue?

(0025403)
x4000 (administrator)
Jun 2, 2012 11:02 am

Best bug report ever. :)
(0025410)
GUDare (reporter)
Jun 2, 2012 3:45 pm

LOL. Yeah TechSY, he was. :)
(0025455)
x4000 (administrator)
Jun 4, 2012 8:11 am

Difficulty 10/10 is something we balance in such a way that nobody but the top starcraft players (or whoever of that caliber) could ever win, and it would be a struggle for them.

Given that those folks largely don't play AI War to my knowledge, if anyone ever wins 10/10 then we've messed up. ;)

The idea is to have the range go from "Grandma plays it" to "the best in the world still have something that is at least a challenge in terms of the AI."
(0025525)
GUDare (reporter)
Jun 4, 2012 9:35 pm
edited on: Jun 4, 2012 9:35 pm

Heh, is it safe to mention I used to compete in Starcraft I, and used to own my own strategy site? :) Also I think four of my maps made it into the general rotation.

(0025527)
x4000 (administrator)
Jun 4, 2012 10:11 pm

Certainly!
(0025778)
zharmad (reporter)
Jun 11, 2012 8:27 pm

So, since Wanderer/GUDare has been a starcraft player, that means this issue is resolved, right? :P
(0026278)
keith.lamothe (administrator)
Jul 3, 2012 5:52 pm

Now that 5.036 is out, I'm optimistically marking this one fixed ;)
(0026920)
keith.lamothe (administrator)
Jul 19, 2012 10:47 am

Somebody couldn't leave well enough alone ;)

http://www.arcengames.com/forums/index.php/topic,11118.msg111832.html#msg111832 [^]
(0026921)
TechSY730 (reporter)
Jul 19, 2012 10:51 am
edited on: Jul 19, 2012 10:57 am

Copied from the thread:

Hmm, it seems that MOAR has certainly made things tougher, it look like it may not be enough, and I don't think more "MOAR" is the way to go (though a little bit MOAR may be good, especially for the other ways the AI can attack, like CPAs and exo-wave)

Maybe it is time to dig through mantis and start implementing some of those fancy new "smart" behaviors for the AI that have been proposed over the last year or so?

(0027026)
keith.lamothe (administrator)
Jul 21, 2012 11:28 am

Considering this fixed (again) with 5.046 ;)
(0027990)
Faulty Logic (reporter)
Aug 26, 2012 3:56 pm

10/10 is not scary enough anymore. Reopened with 4 post-5.046 victories and other AARs reporting a lack of death. And the people who put up AARs are only a subset of the people who play this game.
(0027992)
TechSY730 (reporter)
Aug 26, 2012 4:42 pm

@Faulty Logic
That wasn't a true reopen. Interestingly, only admins and the reporter can do a true reopen, which will set the status to feedback in addition to setting the resolution to reopened.

I have taken ownership of the issue, reopened it, and then gave it back to Keith.
(0027993)
Faulty Logic (reporter)
Aug 26, 2012 6:20 pm

Thanks TechSY. How do you do that?
(0027997)
TechSY730 (reporter)
Aug 26, 2012 10:36 pm

You can click on the edit button to edit things about the issue, even if you are not the reporter, the assignee, or an admin. Strange, I know.

Among many other things, you can edit the reporter. Set it to yourself, and then you can reopen. Then set it back to the actual reporter.

Now as a reporter and not a dev or admin, there are many things we cannot set directly.
(0028004)
Kahuna (reporter)
Aug 27, 2012 8:45 am

Try winning without cheese next time.
(0028006)
Dazio (reporter)
Aug 27, 2012 9:26 am

Heh.

What counts as cheese though?

I'm going to start a thread on the forums about this once I finish my current game (win or lose) debating what cheese is.

For instance, I play with schizo waves off (or with mono-waves), I don't think I've seen a 10/10 AAR with mono-waves on where the players won yet. (Note that I suspect it has happened, I just don't remember it.)

Should I be calling everyone out who's won with schizo waves on as cheesing the game? Mono-waves are generally seen as harder to defend against so....

(For the record I am not actually calling that as cheesing the game, I'm making a point.)
(0028007)
keith.lamothe (administrator)
Aug 27, 2012 9:46 am

Neither mono nor schizo waves are cheese, and I don't think Faulty Logic's last 10/10 no-superweapons win was cheese at all. I mean, there were Riots, but that's only mild cheddar at worst ;)

Currently pumping up 10/10, specifically CPAs.
(0030345)
Tie-Viper (reporter)
Jan 28, 2013 8:38 am

Clearly this is worrysome to the giant mutant spacegoat which desires to eat cheese along with everything else it can get a hold of.

:D
(0031474)
keith.lamothe (administrator)
Apr 9, 2013 1:24 pm

Ok, try it with a non-Lazy AI now ;)
(0031475)
Faulty Logic (reporter)
Apr 9, 2013 4:19 pm
edited on: Apr 25, 2013 10:47 pm

Challenge Accepted.

Edit: and completed.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Coppermantis Faulty Logic
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Jun 2, 2012 9:18 am keith.lamothe New Issue
Jun 2, 2012 9:18 am keith.lamothe Status new => assigned
Jun 2, 2012 9:18 am keith.lamothe Assigned To => keith.lamothe
Jun 2, 2012 10:26 am TechSY730 Note Added: 0025400
Jun 2, 2012 10:26 am TechSY730 Note Edited: 0025400 View Revisions
Jun 2, 2012 11:02 am x4000 Note Added: 0025403
Jun 2, 2012 3:45 pm GUDare Note Added: 0025410
Jun 4, 2012 8:11 am x4000 Note Added: 0025455
Jun 4, 2012 9:35 pm GUDare Note Added: 0025525
Jun 4, 2012 9:35 pm GUDare Note Edited: 0025525 View Revisions
Jun 4, 2012 10:11 pm x4000 Note Added: 0025527
Jun 11, 2012 8:27 pm zharmad Note Added: 0025778
Jul 3, 2012 5:52 pm keith.lamothe Note Added: 0026278
Jul 3, 2012 5:52 pm keith.lamothe Status assigned => resolved
Jul 3, 2012 5:52 pm keith.lamothe Fixed in Version => 5.036
Jul 3, 2012 5:52 pm keith.lamothe Resolution open => fixed
Jul 19, 2012 10:47 am keith.lamothe Note Added: 0026920
Jul 19, 2012 10:47 am keith.lamothe Status resolved => assigned
Jul 19, 2012 10:48 am keith.lamothe Resolution fixed => reopened
Jul 19, 2012 10:48 am keith.lamothe Fixed in Version 5.036 =>
Jul 19, 2012 10:51 am TechSY730 Note Added: 0026921
Jul 19, 2012 10:57 am TechSY730 Note Edited: 0026921 View Revisions
Jul 21, 2012 11:28 am keith.lamothe Note Added: 0027026
Jul 21, 2012 11:28 am keith.lamothe Status assigned => resolved
Jul 21, 2012 11:28 am keith.lamothe Fixed in Version => 5.046
Jul 21, 2012 11:28 am keith.lamothe Resolution reopened => fixed
Jul 25, 2012 3:22 am Faulty Logic Note Added: 0027132
Jul 27, 2012 1:21 am Faulty Logic Note Deleted: 0027132
Aug 26, 2012 3:54 pm Faulty Logic Resolution fixed => reopened
Aug 26, 2012 3:56 pm Faulty Logic Note Added: 0027990
Aug 26, 2012 4:41 pm TechSY730 Reporter keith.lamothe => TechSY730
Aug 26, 2012 4:42 pm TechSY730 Note Added: 0027992
Aug 26, 2012 4:42 pm TechSY730 Status resolved => feedback
Aug 26, 2012 4:43 pm TechSY730 Reporter TechSY730 => keith.lamothe
Aug 26, 2012 6:20 pm Faulty Logic Note Added: 0027993
Aug 26, 2012 10:36 pm TechSY730 Note Added: 0027997
Aug 27, 2012 8:45 am Kahuna Note Added: 0028004
Aug 27, 2012 9:26 am Dazio Note Added: 0028006
Aug 27, 2012 9:46 am keith.lamothe Note Added: 0028007
Aug 27, 2012 9:46 am keith.lamothe Status feedback => assigned
Jan 28, 2013 8:38 am Tie-Viper Note Added: 0030345
Apr 9, 2013 1:24 pm keith.lamothe Note Added: 0031474
Apr 9, 2013 1:24 pm keith.lamothe Status assigned => resolved
Apr 9, 2013 1:24 pm keith.lamothe Fixed in Version 5.046 => 6.017
Apr 9, 2013 1:24 pm keith.lamothe Resolution reopened => fixed
Apr 9, 2013 4:19 pm Faulty Logic Note Added: 0031475
Apr 25, 2013 10:46 pm Faulty Logic Note Edited: 0031475 View Revisions
Apr 25, 2013 10:47 pm Faulty Logic Note Edited: 0031475 View Revisions
Apr 14, 2014 8:29 am x4000 Category Gameplay - Balance Issue => Balance Issue


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker